#!/usr/bin/env python3
"""
Routing for Channels (websockets).
"""
from channels.auth import AuthMiddlewareStack
from channels.routing import ProtocolTypeRouter, URLRouter

import quest.routing

application = ProtocolTypeRouter({
	'websocket': AuthMiddlewareStack(
		URLRouter(
			quest.routing.websocket_urlpatterns
		)
	),
})
